@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@300;400;500;600;700;800;900&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;0,900;1,300;1,400;1,500;1,700;1,900&family=Sarabun:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');

:root {
  scroll-behavior: smooth;
  --font1: 'Noto Sans Thai', sans-serif;
  --font2: 'Roboto', sans-serif;
  --font3: 'Sarabun', sans-serif;
  --fonticon: FontAwesome;
}

/* html { font-family: -apple-system, BlinkMacSystemFont, FontAwesome, "Noto Sans Thai", "Roboto", "Sarabun", sans-serif; } */

@-ms-viewport { width: device-width; }

a {
  color: white;
  text-decoration: none;
}

a:hover {
  color: #bbaad2;
}
  
  /* Animation */
@-webkit-keyframes scale {
  0% { transform: scale3d(1, 1, 1); }
  50% { transform: scale3d(1.25, 1.25, 1); }
  70% { transform: scale3d(1.35, 1.35, 1); }
  100% { transform: scale3d(1.5, 1.5, 1); }
}

@keyframes scale {
  0% { transform: scale3d(1, 1, 1); }
  50% { transform: scale3d(1.25, 1.25, 1); }
  70% { transform: scale3d(1.35, 1.35, 1); }
  100% { transform: scale3d(1.5, 1.5, 1); }
}

@-webkit-keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}
  
@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  align-self: center;
  color: white;
  /* background-color: rgba(33, 33, 33, 0.9); */
  height: 100%;
  font-family: var(--font1);
}
  
.bg-hero {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  background: url("../images/bg2.jpg") no-repeat center center;
  background-size: cover;
  /* filter: blur(6px); */
  z-index: -999;
  animation: scale reverse 1s linear;
  transform: translateZ(0);
}
  
.bg-hero:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background-color: #0B080F;
  opacity: 0.9;
  z-index: -888;
}
  
.fade-in {
  opacity: 0;
  -webkit-animation: fadeIn ease-in 1.25s;
  animation: fadeIn ease-in 1.25s;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

.fade-in.logo {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}

.fade-in.hero-content-heading {
  -webkit-animation-delay: 1.25s;
  animation-delay: 1.25s;
}

.fade-in.hero-content-blurb {
  -webkit-animation-delay: 1.65s;
  animation-delay: 1.65s;
}

.fade-in.hero-content-blurb-1 {
  -webkit-animation-delay: 1.85s;
  animation-delay: 1.85s;
}

.fade-in.hero-content-.social-icons {
  -webkit-animation-delay: 2.5s;
  animation-delay: 2.5s;
}

.fade-in.hero-content-.copy {
  -webkit-animation-delay: 3.5s;
  animation-delay: 3.5s;
}
  
.hero {
  width: 100%;
  padding: 4vh;
  height: 70vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  color: white;
  text-align: center;
}

.hero-logo .logo {
  width: 150px;
  height: auto;
}

.hero-content-heading {
  font-size: 1.8rem;
  font-weight: light;
  text-transform: uppercase;
}

.hero-content-blurb {
  font-size: 1.2em;
  font-weight: 500;
}


.social-icons a.line {
  background-color: aliceblue;
  font-size: 2.4rem;
  color: #06C755;
  padding-top: 5px;
  padding-left: 10px;
  padding-right: 10px;
  border-radius: 8px;
}

.social-icons a.line:hover {
  color: #06C755;
  opacity: 0.95;
}

.social-icons i {
  margin: 0;
}
  
.copy,
.copy a {
  font-weight: 300;
  font-family: var(--font2);
  font-size: 0.9rem;
  color: #BBB;
}